/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#ifndef ANIMATEDTRANSFORMLIST_H
#define ANIMATEDTRANSFORMLIST_H

#include "attribute.h"

class TransformList;
/**
@author Hans Oischinger
*/
class AnimatedTransformList : public Attribute
{
public:
  AnimatedTransformList( TransformList *list = 0 );
  AnimatedTransformList( const AnimatedTransformList & );
  ~AnimatedTransformList();

  AnimatedTransformList &operator=(const AnimatedTransformList &);
  virtual Attribute* clone();
  virtual bool isValid() const;

  virtual void accept( AVisitor& );

  TransformList& baseVal() const { return *m_baseVal; }
  TransformList& animVal() const { return *m_animVal; }

private:
  TransformList *m_baseVal;
  TransformList *m_animVal;
};

#endif
