/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#ifndef RADIALGRADIENT_H
#define RADIALGRADIENT_H

#include "gradient.h"

class AnimatedLength;
/**
@author Hans Oischinger
*/
class RadialGradient : public Gradient
{
  Q_OBJECT
public:
  RadialGradient();
  RadialGradient( const RadialGradient& );
  ~RadialGradient();

  RadialGradient &operator=(const RadialGradient&);
  RadialGradient &operator|=(const RadialGradient&);
  virtual ElementNode *clone();

  virtual Attribute* getAttrByName( const QString& name );
  virtual void accept( Visitor& visitor );

  AnimatedLength &getCX( bool inherited=false ) const;
  AnimatedLength &getCY( bool inherited=false ) const;
  AnimatedLength &getR( bool inherited=false ) const;
  AnimatedLength &getFX( bool inherited=false ) const;
  AnimatedLength &getFY( bool inherited=false ) const;

protected:
  void init();

private:
  AnimatedLength *m_cx;
  AnimatedLength *m_cy;
  AnimatedLength *m_r;
  AnimatedLength *m_fx;
  AnimatedLength *m_fy;
};

#endif
