/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#ifndef CANVASWIDGET_H
#define CANVASWIDGET_H

#include <qwidget.h>
#include <kcanvas/KCanvasView.h>

class KCanvas;
class KCanvasTarget;
class KRenderingDevice;
/**
A simple CanvasWidget very similar to the one used in KCanvas's test cases
 
@author Hans Oischinger
*/
class CanvasWidget : public QWidget, public KCanvasView
{
public:
  CanvasWidget(QWidget *parent = 0, const char *name = 0);
  virtual ~CanvasWidget();

  KCanvas *getCanvas() const;
  KRenderingDevice * getDevice();

protected:
  /**
   * Resets the KCanvas and zoom, panpoint, etc
   */
  void reset();
  /**
   * @internal
   */
  void initKCanvas();

  virtual void paintEvent(QPaintEvent *event);
  virtual void resizeEvent(QResizeEvent *event);

protected:
  KCanvas *m_canvas;
  QPoint m_firstPanPoint, m_panPoint;
};

#endif
