/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#ifndef STROKEFILLPREVIEW_H
#define STROKEFILLPREVIEW_H

#include <qwidget.h>
#include "core/coreinterfaces.h"

class VectorElement;
class KDualColorButton;
/**
@author Hans Oischinger
*/
class StrokeFillPreview : public QWidget, public ElementListenerInterface, public ElementSelectionListenerInterface
{
  Q_OBJECT
public:
  StrokeFillPreview(QWidget *parent = 0, const char *name = 0);
  ~StrokeFillPreview();

  void onElementInserted( ElementNode* );
  void onElementRemoved( ElementNode* );
  void onElementModified( ElementNode* );

  void onSelectionModified();

protected:
  void setElement( VectorElement* );

protected slots:
  void slotBgChanged(const QColor& );
  void slotFgChanged(const QColor& );
  void slotCurrentChanged();

private:
  KDualColorButton *m_colorBtn;
  VectorElement *m_element;
};

#endif
