/***************************************************************************
 * trackviewcontainer.h: implementation of TrackViewContainer class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef TRACKVIEWCONTAINER_H
#define TRACKVIEWCONTAINER_H

#include <QCanvas>

class TabTrack;

/**
	This is the editor of the track.
*/
class TrackViewContainer {
public:
	
	TrackViewContainer(TabTrack* tabTrack);
	virtual ~TrackViewContainer();
	
	TabTrack* tabTrack() const;
	
	QCanvas* canvas() const;
private:
	TabTrack* mTabTrack;
	QCanvas* mCanvas;
};

#endif
