/*
    Copyright (C) 2006  Nicolas Le Guen <goldenear@free.fr>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef OSKARVIEW_H
#define OSKARVIEW_H

// Qt includes.
#include <qhbox.h>
#include <qstringlist.h>
#include <qmap.h>
#include <qsplitter.h>
#include <qframe.h>
#include <qpushbutton.h>

// KDE includes.

// Local includes.
#include "startview.h"
#include "playlistview.h"
#include "infoview.h"
#include "filesview.h"
#include "playerview.h"

namespace Oskar
{
class Sidebar;
};

class QString;
class QIconViewItem;
class KURL;

class OskarApp;
//class SourcesView;
//class PlaylistView;

class OskarView : public QHBox
{
    Q_OBJECT

public:

    OskarView(QWidget *parent);
    ~OskarView();
    QFrame		    *mTestFrame;
    QPushButton		*mTestButton;
    PlayerView          *mPlayerView;

private:

    void setupConnections();
    void loadViewState();
    void saveViewState();

private:

    OskarApp                *mParent;

    StartView		*mStartView;
    PlaylistView	*mPlaylistView;
    InfoView		*mInfoView;
    FilesView		*mFilesView;
    Oskar::Sidebar      *mMainSidebar;
    QSplitter           *mSplitter;

public slots:

private slots:

signals:

};

#endif // OSKARVIEW_H
