/*  This file is part of the KDE project
    Copyright (C) 2008 Matthias Kretz <kretz@kde.org>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) version 3.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#ifndef PHONON_CONVERTER_P_H
#define PHONON_CONVERTER_P_H

#include "format_p.h"

namespace Phonon
{

class Converter
{
    public:
        Converter() : m_sourceRate(0), m_sourceChannels(0), m_sourceBitRate(PcmIODevice::UnknownBitRate), m_sourceByteOrder(QSysInfo::ByteOrder) {}
        inline void convertTo(const Format &f) { m_convertTo = f; }
        inline void setSourceRate(int rate) { m_sourceRate = rate; }
        inline void setSourceChannels(int channels) { m_sourceChannels = channels; }
        inline void setSourceBitRate(PcmIODevice::BitRate br) { m_sourceBitRate = br; }
        inline void setSourceByteOrder(QSysInfo::Endian e) { m_sourceByteOrder = e; }

    private:
        unsigned int m_sourceRate;
        unsigned int m_sourceChannels;
        PcmIODevice::BitRate m_sourceBitRate;
        QSysInfo::Endian m_sourceByteOrder;
        Format m_convertTo;
};
} // namespace Phonon
#endif // PHONON_CONVERTER_P_H
